Bug 143841 - [PATCH] databases/postgresql84-server: [ADD ICU43]
[PATCH] databases/postgresql84-server: [ADD ICU43]
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Matuska
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-12 13:40 UTC by andy.lavr
Modified: 2010-03-25 23:29 UTC (History)
0 users

See Also:


Attachments
file.diff (2.00 KB, patch)
2010-02-12 13:40 UTC, andy.lavr
no flags Details | Diff
patch-pg-840-icu-2009-09-15.diff (1.50 KB, patch)
2010-02-12 13:51 UTC, andy.lavr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description andy.lavr 2010-02-12 13:40:05 UTC

  Add ICU43

Fix: Patch for - pg-840-icu-2009-09-15.diff


--- configure.in.orig   2009-12-10 04:56:54.000000000 +0200
+++ configure.in        2010-02-12 14:50:05.000000000 +0200
@@ -19,7 +19,7 @@

 AC_INIT([PostgreSQL], [8.4.2], [pgsql-bugs@postgresql.org])

-m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.61], [], [m4_fatal([Autoconf version 2.61 is required.
+m4_if(m4_defn([m4_PACKAGE_VERSION]), [2.62], [], [m4_fatal([Autoconf version 2.62 is required.
 Untested combinations of 'autoconf' and PostgreSQL versions are not
 recommended.  You can remove the check from 'configure.in' but it is then
 your responsibility whether the result works or not.])])
@@ -687,6 +687,16 @@


 #
+# ICU
+#
+AC_MSG_CHECKING([whether to build with ICU support])
+PGAC_ARG_BOOL(with, icu, no, [  --with-icu              build with ICU support],
+              [AC_DEFINE([USE_ICU], 1, [Define to build with ICU support. (--with-icu)])])
+AC_MSG_RESULT([$with_icu])
+AC_SUBST(with_icu)
+
+
+#
 # Readline
 #
 PGAC_ARG_BOOL(with, readline, yes,
@@ -934,6 +944,23 @@
   fi
 fi

+if test "$with_icu" = yes ; then
+ AC_CHECK_LIB(icui18n, ucol_open_43, [], [
+  AC_CHECK_LIB(icui18n, ucol_open_3_8, [], [
+     AC_CHECK_LIB(icui18n, ucol_open_3_6, [], [
+        AC_CHECK_LIB(icui18n, ucol_open_3_4, [], [AC_MSG_ERROR([library 'icui18n' is required for ICU])])
+   ])
+  ])
+ ])
+ AC_CHECK_LIB(icuuc, ucnv_fromUChars_43, [], [
+  AC_CHECK_LIB(icuuc, ucnv_fromUChars_3_8, [], [
+     AC_CHECK_LIB(icuuc, ucnv_fromUChars_3_6, [], [
+        AC_CHECK_LIB(icuuc, ucnv_fromUChars_3_4, [], [AC_MSG_ERROR([library 'icuuc' is required for ICU])])
+   ])
+  ])
+ ])
+fi
+
 if test "$with_pam" = yes ; then
   AC_CHECK_LIB(pam,    pam_start, [], [AC_MSG_ERROR([library 'pam' is required for PAM])])
 fi
@@ -1031,6 +1058,10 @@
   AC_CHECK_FUNCS([ERR_set_mark])
 fi

+if test "$with_icu" = yes ; then
+  AC_CHECK_HEADER(unicode/utypes.h, [], [AC_MSG_ERROR([header file <unicode/utypes.h> is required for ICU])])
+fi
+
 if test "$with_pam" = yes ; then
   AC_CHECK_HEADERS(security/pam_appl.h, [],
                    [AC_CHECK_HEADERS(pam/pam_appl.h, [],



Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-02-12 13:40:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 andy.lavr 2010-02-12 13:51:23 UTC
Hi!


Sorry, patch for -  patch-pg-840-icu-2009-09-15.diff




-- 
  Best regards, Andrei V. Lavreniyuk.
Comment 3 dfilter freebsd_committer 2010-03-25 22:58:20 UTC
mm          2010-03-25 22:58:11 UTC

  FreeBSD ports repository

  Modified files:
    databases/postgresql84-server Makefile 
  Added files:
    databases/postgresql84-server/files extra-patch-icu4 
  Log:
  - Add ICU 4.x support
  - Bump PORTREVISION
  
  PR:             ports/143841
  Submitted by:   Andrei Lavreniyuk <andy.lavr@reactor-xg.kiev.ua>
  Approved by:    maintainer (timeout)
  
  Revision  Changes    Path
  1.201     +14 -3     ports/databases/postgresql84-server/Makefile
  1.1       +30 -0     ports/databases/postgresql84-server/files/extra-patch-icu4 (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Martin Matuska freebsd_committer 2010-03-25 22:58:57 UTC
Responsible Changed
From-To: girgen->mm

Taking over on timeout.
Comment 5 Martin Matuska freebsd_committer 2010-03-25 23:29:04 UTC
State Changed
From-To: open->closed

Idea commited. Thanks!